From: Sean Whitton <spwhitton@spwhitton.name>
Date: Thu, 11 Jun 2020 18:18:09 -0700
Subject: use system emacsql-sqlite binary

---
 emacsql-sqlite.el | 17 +----------------
 1 file changed, 1 insertion(+), 16 deletions(-)

diff --git a/emacsql-sqlite.el b/emacsql-sqlite.el
index 81422dc..ed3f543 100644
--- a/emacsql-sqlite.el
+++ b/emacsql-sqlite.el
@@ -30,22 +30,7 @@
   (file-name-directory (or load-file-name buffer-file-name))
   "Directory where EmacSQL is installed.")
 
-(defvar emacsql-sqlite-executable-path
-  (if (memq system-type '(windows-nt cygwin ms-dos))
-      "sqlite/emacsql-sqlite.exe"
-    "sqlite/emacsql-sqlite")
-  "Relative path to emacsql executable.")
-
-(defvar emacsql-sqlite-executable
-  (expand-file-name emacsql-sqlite-executable-path
-                    (if (or (file-writable-p emacsql-sqlite-data-root)
-                            (file-exists-p (expand-file-name
-                                            emacsql-sqlite-executable-path
-                                            emacsql-sqlite-data-root)))
-                        emacsql-sqlite-data-root
-                      (expand-file-name
-                       (concat "emacsql/" emacsql-version)
-                       user-emacs-directory)))
+(defvar emacsql-sqlite-executable "/usr/bin/emacsql-sqlite"
   "Path to the EmacSQL backend (this is not the sqlite3 shell).")
 
 (defconst emacsql-sqlite-reserved
